Bulk Upload Attribute via JSON

Bulk upload attributes. If an attribute already exists, it is replaced. This endpoint accepts a JSON upload. If there is an issue parsing any of the attributes, an error is thrown and attributes with issues are sent back with error messages. The attribute ID must start with a letter followed by a combination of dashes (-), underscores (_), letters (a-z A-Z), or numbers (0-9).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The project (workspace) associated with the attribute. After migration to Harness, get this value using the Get Projects (Workspaces) endpoint and the Harness project name.

string
required

The traffic type ID associated with the attribute

Form Data
string
Defaults to [ { "id": "anAttribute", "organizationId": "orgId", "trafficTypeId": "trafficTypeId", "displayName": "An Attribute", "description": "my description here", "dataType": "string", "suggestedValues": [ "suggested", "values" ] } ]
Headers
string
Defaults to application/json
string
Defaults to Bearer ADMIN_API_KEY
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json